/*
CB64 (tm) is copyright 1998-2001 by Johan Fiti.
Come Back 64 (tm) is copyright 1998-2001 by Johan Fiti.

Character ROM MOS901225-01, 1982 by Commodore Business Machines.
BASIC ROM MOS901226-01, 1982 by Commodore Business Machines, Microsoft Corp.
Kernal ROM MOS901227-03 (rev. 3), 1983 by Commodore Business Machines.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#define KB_pause		197
#define KB_left_control		29
#define KB_right_control	29
#define KB_left_shift		42
#define KB_right_shift		54
#define KB_left_alt		56
#define KB_right_alt		56
#define KB_capslock		58
#define KB_numlock		69
#define KB_scrolllock		70
#define KB_f1			59
#define KB_f2                   60
#define KB_f3                   61
#define KB_f4                   62
#define KB_f5                   63
#define KB_f6                   64
#define KB_f7                   65
#define KB_f8                   66
#define KB_f9                   67
#define KB_f10                  68
#define KB_f11			87
#define KB_f12			88
#define KB_kp_up                72
#define KB_kp_down              80
#define KB_kp_left              75
#define KB_kp_right             77
#define KB_kp_1                 79
#define KB_kp_2                 80
#define KB_kp_3                 81
#define KB_kp_4                 75
#define KB_kp_5                 76
#define KB_kp_6                 77
#define KB_kp_7                 71
#define KB_kp_8                 72
#define KB_kp_9                 73
#define KB_kp_splat		55
#define KB_kp_minus             74
#define KB_kp_plus              78
#define KB_kp_period            83
#define KB_kp_tilde		53
#define KB_kp_enter		28
#define KB_kp_0                 82
#define KB_1			2
#define KB_2			3
#define KB_3			4
#define KB_4			5
#define KB_5			6
#define KB_6			7
#define KB_7			8
#define KB_8			9
#define KB_9			10
#define KB_0			11
#define KB_q			16
#define KB_w			17
#define KB_e                    18
#define KB_r                    19
#define KB_t                    20
#define KB_y                    21
#define KB_u                    22
#define KB_i                    23
#define KB_o                    24
#define KB_p                    25
#define KB_a			30
#define KB_s                    31
#define KB_d                    32
#define KB_f                    33
#define KB_g                    34
#define KB_h                    35
#define KB_j                    36
#define KB_k                    37
#define KB_l                    38
#define KB_z			44
#define KB_x			45
#define KB_c                    46
#define KB_v                    47
#define KB_b                    48
#define KB_n                    49
#define KB_m                    50
#define KB_up			72
#define KB_down			80
#define KB_left			75
#define KB_right		77
#define KB_escape  		1
#define KB_tab			15
#define KB_backspace		14
#define KB_space		57
#define KB_enter		28
#define KB_print_screen		42
#define KB_home			71
#define KB_end			79
#define KB_insert		82
#define KB_delete		83
#define KB_page_up		73
#define KB_page_down		81
#define KB_macro		111
#define KB_comma		51
#define KB_lt			51
#define KB_period		52
#define KB_semi			39
#define KB_colon		39
#define KB_apost		40
#define KB_dquot		40
#define KB_quot			41
#define KB_gt			52
#define KB_tilde		53
#define KB_ques			53
#define KB_sqropen              26
#define KB_curlopn              26
#define KB_sqrcls               27
#define KB_curlcls              27
#define KB_min			12
#define KB__                    12
#define KB_equal                13
#define KB_plus			13
