/*
CB64 (tm) is copyright 1998-2001 by Johan Fiti.
Come Back 64 (tm) is copyright 1998-2001 by Johan Fiti.

Character ROM MOS901225-01, 1982 by Commodore Business Machines.
BASIC ROM MOS901226-01, 1982 by Commodore Business Machines, Microsoft Corp.
Kernal ROM MOS901227-03 (rev. 3), 1983 by Commodore Business Machines.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
HARDSID INFO:

Address: 0xD400-0xD41C
54272d-54300d
*/

/*~~~~~~DRIVER BY JOHAN FITIE~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

// ### HARDSIDWRITE #########################################################
void hardsidwrite (unsigned char data, unsigned int address, unsigned int HARDSID)
{
        outportb (HARDSID,data);
        outportb (HARDSID+1,address&0x1F);
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        }

// ### HARDSIDREAD #########################################################
unsigned char hardsidread (unsigned int address, unsigned int HARDSID)
{
        unsigned char result;
        outportb (HARDSID+1,(address&0x1F)|0x20);
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        _asm {
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                nop;
                }
        result=inportb (HARDSID);
        return (result);
        }

